Package org.pgpainless.algorithm

# Class Trustworthiness.Builder

java.lang.Object
org.pgpainless.algorithm.Trustworthiness.Builder

Enclosing class:
  `Trustworthiness`

public static final class Trustworthiness.Builder extends Object

## Method Summary

Modifier and Type
Method
Description
`Trustworthiness`
`introducer()`
The key is a trusted introducer (depth 1).
`Trustworthiness`
`metaIntroducer()`
The key is a meta introducer (depth 2).
`Trustworthiness`
`metaIntroducerOfDepth(int n)`
The key is a meta introducer of depth

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### introducer

public Trustworthiness introducer()
The key is a trusted introducer (depth 1). Certifications made by this key are considered trustworthy.

Returns:
  trust

### metaIntroducer

public Trustworthiness metaIntroducer()
The key is a meta introducer (depth 2). This key can introduce trusted introducers of depth 1.

Returns:
  trust

### metaIntroducerOfDepth

public Trustworthiness metaIntroducerOfDepth(int n)
The key is a meta introducer of depth

    n

. This key can introduce meta introducers of depth

    n - 1

.

Parameters:
  `n` - depth
Returns:
  trust